/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package rmiserver;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

/**
 *
 * @author edgard
 */
public class CalculatorImpl extends UnicastRemoteObject implements Calculator{

    public CalculatorImpl() throws RemoteException{
        super();
    }
    
    
    @Override
    public double sum(double a, double b) {
        return a+b;
    }

    @Override
    public double mult(double a, double b) {
        return a*b;
    }

    @Override
    public double div(double a, double b) {
       if(b == 0.0){
           return Double.POSITIVE_INFINITY;
       }else{
        return a/b;
       }
    }

    @Override
    public double sub(double a, double b) {
        return a-b;
    }

    
    
}
